List competitors

GET
/competitors

Authorization

BearerAuth
AuthorizationBearer <token>

An instance admin key from ADMIN_API_KEYS, or an organization key (elmo_…) issued from the dashboard.

In: header

Query Parameters

brandId?string
page?integer

Page number, 1-based.

Range1 <= value
Default1
limit?integer

Items per page. Values above the maximum are clamped, not rejected.

Range1 <= value <= 100
Default20

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/competitors"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "brandId": "string",      "name": "string",      "domains": [        "string"      ],      "aliases": [        "string"      ],      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "competitors": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "brandId": "string",      "name": "string",      "domains": [        "string"      ],      "aliases": [        "string"      ],      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}